## libmodplug 0.8.7-1maemo1

=== Makefile ===
PACKAGE:=libmodplug
VERSION:=0.8.7
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=
URLS=http://surfnet.dl.sourceforge.net/sourceforge/modplug-xmms

include ../Rules.make

=== debian/changelog ===
libmodplug (1:0.8.7-1maemo1) unstable; urgency=low

  * Update to latest upstream
  * Optify for Fremantle/N900
  * Rewrite build rules to use cdbs
  * No reason for silly package names under maemo

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 29 Dec 2009 10:51:00 +0200

libmodplug (1:0.8.4-1maemo1) unstable; urgency=low

  * package for maemo
  * use libtoolize without -i

 -- Stefan Kost <ensonic@users.sf.net>  Wed, 14 Oct 2009 14:03:39 +0300

libmodplug (1:0.8.4-3ubuntu1.1) jaunty-security; urgency=low

  * SECURITY UPDATE: code execution via integer overflow in
    CSoundFile::ReadMed
    - src/load_med.cpp: check for overflow in song comment and song name.
      Make sure strings are properly NULL-terminated.
    - http://modplug-xmms.cvs.sourceforge.net/viewvc/modplug-xmms/libmodplug/src/load_med.cpp?r1=1.1&amp;r2=1.2
    - http://modplug-xmms.cvs.sourceforge.net/viewvc/modplug-xmms/libmodplug/src/load_med.cpp?r1=1.2&r2=1.3
    - CVE-2009-1438
  * SECURITY UPDATE: denial of service and possible code execution from
    buffer overflow in the PATinst function.
    - src/load_pat.cpp: use sizeof(hw.reserved) instead of a fixed size.
    - http://modplug-xmms.git.sourceforge.net/git/gitweb.cgi?p=modplug-xmms;a=commitdiff;h=c4ebb701be6ee9a296a44fdac5a20b7739ff0595
    - CVE-2009-1513

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 06 May 2009 13:47:18 -0400

libmodplug (1:0.8.4-3) unstable; urgency=low

  * Switch automake dependency back to just automake, pull versioned usage
    of automake/aclocal. (closes: #506020)

 -- Zed Pobre <zed@debian.org>  Mon, 17 Nov 2008 16:24:26 -0500

libmodplug (1:0.8.4-2) unstable; urgency=low

  * Use Libs.private in libmodplug.pc for -lstdc++ -lm to avoid certain
    build failure cases. (closes: #457278, #360248)
  * Slight improvement to debian/rules clean
  * Force automake to v1.9
  * Add copyright notice to debian/copyright
  * Thanks to Steve Langasek for the long-standing patch covering the above.
  * Move homepage information out of Description and into Homepage field.
  * Add Section: libs to source package in debian/control
  * Standards-Version: 3.8.0

 -- Zed Pobre <zed@debian.org>  Wed, 24 Sep 2008 13:52:58 -0400

libmodplug (1:0.8.4-1) unstable; urgency=low

  * New upstream version (closes: #458792)
  * libmodplug0c2 is now in section libs (closes: #478143)
  * libmodplug-dev is now in section libdevel (closes: #306327)
  * Removed debian/watch -- there doesn't seem to be any way to get it to
    separate out the libmodplug version number from the modplug-xmms version
    number, which is not the same. (closes: #449893)

 -- Zed Pobre <zed@debian.org>  Sat, 26 Jul 2008 18:14:38 -0400

libmodplug (1:0.7-7) unstable; urgency=low

  * Debhelper compatibility level 5, using debian/compat
  * use both >= and << for source:Version for the -dev package, to
    properly handle binNMU safety (closes: #437489)
  * Build-Depends: autotools-dev.  Also sort build-depends packages
    alphabetically.
  * Standards-Version 3.7.2.2 (no changes required)

 -- Zed Pobre <zed@debian.org>  Thu, 23 Aug 2007 15:43:14 -0400

libmodplug (1:0.7-6) unstable; urgency=low

  * use source:Version for -dev package in debian/control for binNMU
    safety -- however, the originally submitted patch also wanted to
    change the relationship from = to >=, which I am _not_ doing, as it
    does not appear to be necessary. (closes: #437489)
  * Acknowledge Automake NMU (closes: #376456)
  * Acknowledge overflow NMU (closes: #383574)

 -- Zed Pobre <zed@debian.org>  Wed, 22 Aug 2007 21:45:46 -0400

libmodplug (1:0.7-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Check for very large sample sizes that could create overflows, enabling an
    attacker to allocate zero bytes and possibly execute arbitrary codes as
    the user [CVE-2006-4192]. (Closes: #383574)
  * Run aclocal-1.9 instead of aclocal, as automake1.9 doesn't provide the
    latter; fixes FTBFS.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 25 Sep 2006 17:36:29 +0200

libmodplug (1:0.7-5.1) unstable; urgency=low

  * NMU.
  * debian/control: Update automake Build-Depend to automake1.9. (Closes:
    #376456)

 -- Eric Dorland <eric@debian.org>  Sat, 19 Aug 2006 14:22:53 -0400

libmodplug (1:0.7-5) unstable; urgency=low

  * Official build, acknowledging NMU, and closing out the bugs
    (closes: #318392, #318994)
  * Standards-Version: 3.6.2.0 (no changes required)

 -- Zed Pobre <zed@debian.org>  Fri, 19 Aug 2005 18:13:54 -0500

libmodplug (1:0.7-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Rebuild against g++-4.0 for the C++ ABI transition, renaming
    libmodplug0 to libmodplug0c2 and conflicting with libmodplug0.

 -- Steve Langasek <vorlon@debian.org>  Mon, 18 Jul 2005 19:10:24 -0700

libmodplug (1:0.7-4) unstable; urgency=low

  * Use stdafx.h from upstream CVS, correcting issues with 64-bit
    architectures.
  * Altered short description to better follow policy
  * Debhelper cleanups

 -- Zed Pobre <zed@debian.org>  Wed,  2 Feb 2005 17:29:28 -0600

libmodplug (1:0.7-3) unstable; urgency=low

  * Acknowledge NMU. (closes: #267204)
  * Fixed Makefile.in locations in clean: target.
  * Changed "copyright" to "license" when describing the license in
    debian/copyright.
  * Make the shlibs force a version >= 1:0.7-1 to be safe.

 -- Zed Pobre <zed@debian.org>  Fri, 10 Sep 2004 14:05:53 -0500

libmodplug (1:0.7-2.1) unstable; urgency=high

  * NMU
  * debian/control: (Closes: #267204)
    - removed build-dependency on libxmms-dev, libglib2.0-dev;
    - libmodplug-dev now depends on libmodplug (= ${Source-Version})
  * debian/rules: enable CFLAGS and CXXFLAGS, set to "-O2", so that the
    "-g" flag is inhibited. This makes the build slightly faster.

 -- Wolfgang Sourdeau <was@debian.org>  Sat, 28 Aug 2004 23:05:11 -0400

libmodplug (1:0.7-2) unstable; urgency=high



=== debian/control ===
Source: libmodplug
Build-Depends: debhelper (>= 5.0.0), autoconf, automake, autotools-dev, libtool, cdbs
Section: libs
Priority: optional
Maintainer: Kaj-Michael Lang <milang@tal.org>
XSBC-Original-Maintainer: Zed Pobre <zed@debian.org>
Standards-Version: 3.8.0

Package: libmodplug0c2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
XSBC-Bugtracker: http://garage.maemo.org/projects/mgstmodplug/
Homepage: http://modplug-xmms.sourceforge.net/
Description: shared libraries for mod music based on ModPlug
 This is a library based on the mod rendering code from ModPlug, a
 popular windows mod player written by Olivier Lapicque, found at
 http://www.modplug.com.  It is required for ModPlug-XMMS (in the
 xmms-modplug package).

Package: libmodplug-dev
Architecture: all
Section: libdevel
Depends: libmodplug0c2 (>= ${source:Version})
XSBC-Bugtracker: http://garage.maemo.org/projects/mgstmodplug/
Homepage: http://modplug-xmms.sourceforge.net
Description: development files for mod music based on ModPlug
 This package contains the header files and .so symlinks required to
 compile code against libmodplug, a library based on the mod rendering
 code from ModPlug, a popular windows mod player written by Olivier
 Lapicque, found at http://www.modplug.com.  It is required to compile
 ModPlug-XMMS (in the xmms-modplug package).

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

DEB_TAR_SRCDIR:=libmodplug-0.8.7
DEB_DESTDIR=$(CURDIR)/debian/tmp
DEB_CONFIGURE_EXTRA_FLAGS:=--disable-static
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8
DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686 -mtune=pentium2
DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))
DEB_DBG_PACKAGE_libmodplug=libmodplug-dbg

include /usr/share/cdbs/1/rules/tarball.mk

# Yay for stupidity again.. sigh
#
install/libmodplug0c2::
	install -d -m 755 debian/tmp/opt/lib/
	mv debian/tmp/usr/lib/libmodplug.* debian/tmp/opt/lib/
	ln -sf /opt/lib/libmodplug.so debian/tmp/usr/lib/libmodplug.so
	ln -sf /opt/lib/libmodplug.so.0 debian/tmp/usr/lib/libmodplug.so.0
	ln -sf /opt/lib/libmodplug.so.0.0.0 debian/tmp/usr/lib/libmodplug.so.0.0.0

## libmodplug 0.8.8.2-maemo1

=== Makefile ===
PACKAGE:=libmodplug
VERSION:=0.8.8.2
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=
URLS=http://surfnet.dl.sourceforge.net/sourceforge/modplug-xmms

include ../Rules.make

=== debian/changelog ===
libmodplug (1:0.8.8.2-maemo1) unstable; urgency=low

  * Update to latest upstream version

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 15 Apr 2011 15:50:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: libmodplug
-Build-Depends: debhelper (>= 5.0.0), autoconf, automake, autotools-dev, libtool, cdbs
+Build-Depends: debhelper (>= 4.2.0), autoconf, automake, autotools-dev, libtool, cdbs
 Section: libs
 Priority: optional
 Maintainer: Kaj-Michael Lang <milang@tal.org>
@@ -21,7 +21,7 @@
 Package: libmodplug-dev
 Architecture: all
 Section: libdevel
-Depends: libmodplug0c2 (>= ${source:Version})
+Depends: libmodplug0c2 (>= 0.8.7)
 XSBC-Bugtracker: http://garage.maemo.org/projects/mgstmodplug/
 Homepage: http://modplug-xmms.sourceforge.net
 Description: development files for mod music based on ModPlug

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

DEB_TAR_SRCDIR:=libmodplug-0.8.8.2
DEB_DESTDIR=$(CURDIR)/debian/tmp
DEB_CONFIGURE_EXTRA_FLAGS:=--disable-static
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8 -mfloat-abi=softfp -mfpu=neon -ftree-vectorize -ftree-vectorizer-verbose=1
DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686 -mtune=pentium2
DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))
DEB_DBG_PACKAGE_libmodplug=libmodplug-dbg

include /usr/share/cdbs/1/rules/tarball.mk

# Yay for stupidity again.. sigh
#
install/libmodplug0c2::
	install -d -m 755 debian/tmp/opt/lib/
	mv debian/tmp/usr/lib/libmodplug.* debian/tmp/opt/lib/
	ln -sf /opt/lib/libmodplug.so debian/tmp/usr/lib/libmodplug.so
	ln -sf /opt/lib/libmodplug.so.1 debian/tmp/usr/lib/libmodplug.so.1
	ln -sf /opt/lib/libmodplug.so.1.0.0 debian/tmp/usr/lib/libmodplug.so.1.0.0

## libmodplug 0.8.8.4-maemo1

=== Makefile ===
PACKAGE:=libmodplug
VERSION:=0.8.8.4
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=
URLS=http://surfnet.dl.sourceforge.net/sourceforge/modplug-xmms

include ../Rules.make

=== debian/changelog ===
libmodplug (1:0.8.8.4-maemo1) stable; urgency=low

  * Update to latest upstream version
  * Upstrem changes:
  *  Improve timidity.cfg parsing capability
  *  Add source command capability in timidity.cfg (useful for debian default)
  *  Fix integer overflow in WAV reader (SA45131/A)
  *  Fix S3M stack overflow possibility (SA45131/B)
  *  Bound seeking and reading in PAT files
  *  Fix AMS/AMSv2 and DSM too large by one (SA45131/C)
  *  Use structure in XM decoding (development related)
  *  Use bmpvalues in Octamed files when calcuting default tempo (Francis Russel) 

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 10 Aug 2011 09:59:00 +0300

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=libmodplug-0.8.8.2
+DEB_TAR_SRCDIR:=libmodplug-0.8.8.4
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 DEB_CONFIGURE_EXTRA_FLAGS:=--disable-static
 DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8 -mfloat-abi=softfp -mfpu=neon -ftree-vectorize -ftree-vectorizer-verbose=1

## libmodplug 0.8.8.5

=== debian/changelog ===
libmodplug (1:0.8.8.5-3) unstable; urgency=medium

  * Update watch file, thanks to Bart Martens.
  * Switch to https: VCS URIs (see #810378).
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.
  * Drop obsolete Conflicts/Replaces on xmms-modplug.
  * Make libmodplug-dev depend on the same binary version of
    libmodplug1, they're both Arch: any.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Thu, 27 Oct 2016 21:19:14 +0200

libmodplug (1:0.8.8.5-2) unstable; urgency=medium

  * Adopt the package; thanks for your work, Zed!
  * Switch to a simple dh-based rules, with dh-autoreconf. This should
    allow building on ppc64el. Closes: #789945.
  * Add symbols file.

 -- Stephen Kitt <skitt@debian.org>  Mon, 24 Aug 2015 23:24:43 +0200

libmodplug (1:0.8.8.5-1) unstable; urgency=medium

  * New upstream version
  * Add build-arch and build-indep targets to debian/rules
  * Add debian/watch file
  * Explicitly depend on Debhelper >= 9
  * Move Homepage entry from binaries to source
  * Switch dh_clean -k to dh_prep
  * Remove rendundant Section entry from libmodplug1 binary control area
  * Use new canonical anonscm.debian.org Vcs-Git location

 -- Zed Pobre <zed@debian.org>  Mon, 01 Jun 2015 15:12:24 -0400

libmodplug (1:0.8.8.4-5) unstable; urgency=medium

  * Officially log NMU by Eric Dorland
  * Incorporate multiarch support patch provided by
    Francois Gouget <fgouget@codeweavers.com>
  * Change build-dependency from "automake1.11" to just "automake" to
    allow building under Jessie.
  * Standards-Version 3.9.6
  * debian/rules now only cleans files that did not originally exist.
    This means that repeated builds will probably only work via
    git-buildpackage.

 -- Zed Pobre <zed@debian.org>  Mon, 01 Jun 2015 14:36:13 -0400

libmodplug (1:0.8.8.4-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Switch to automake1.11. (Closes: #724407)

 -- Eric Dorland <eric@debian.org>  Sat, 08 Mar 2014 17:32:36 -0500

libmodplug (1:0.8.8.4-4) unstable; urgency=high

    * Merge all changes from latest upstream Git repository (0.8.8.4 with
      additional patches), including the following security changes:
      * CVE-2013-4233: fix integer overflow in load_abc.cpp
      * CVE-2013-4234: fix heap overflows in abc_MIDI_drum and abc_MIDI_gchord
      * Closes: #719642
    * Standards-Version: 3.9.4
      * Added Vcs-Git and Vcs-Browser entries

 -- Zed Pobre <zed@debian.org>  Mon, 02 Sep 2013 22:31:46 -0400

libmodplug (1:0.8.8.4-3) unstable; urgency=low

  * Fix missing backslash on dpkg-buildflags line (closes: #654817)

 -- Zed Pobre <zed@debian.org>  Mon, 09 Apr 2012 11:44:45 -0400

libmodplug (1:0.8.8.4-2) unstable; urgency=low

  * Enable hardened build flags via dpkg-buildflags (closes: #654817)
    This requires dpkg-buildflags from the dpkg-dev package to be at least
    version 1.16.1 (when the --export=configure flag was defined)

 -- Zed Pobre <zed@debian.org>  Fri, 06 Apr 2012 14:55:26 -0400

libmodplug (1:0.8.8.4-1) unstable; urgency=high

  * New upstream version
    * Fixes buffer overflow in load_abc (CVE-2011-1761, closes: #625966)
    * Fixes integer overflow in load_wav (SA45131.1)
    * Fixes stack overflow in load_s3m (SA45131.2)
    * Fixes off-by-one errors in load_ams and load_dms that can cause
      stack and memory corruption (SA45131.3-5)
  * Added a few lines to the package description describing what mod
    music is.  (closes: #637854)
  * Allow CC and CXX to contain spaces in debian/rules (closes: #636863)
  * Standards-Version: 3.9.2

 -- Zed Pobre <zed@debian.org>  Mon, 05 Sep 2011 19:21:47 -0400

libmodplug (1:0.8.8.2-3) unstable; urgency=medium

  * Remove redundant AM_SILENT_RULES macro outside of the ifdef to
    prevent breaking builds on many platforms (closes: #624403)

 -- Zed Pobre <zed@debian.org>  Thu, 28 Apr 2011 11:16:26 -0400

libmodplug (1:0.8.8.2-2) unstable; urgency=low

  * Removed outdated references to xmms-modplug package
    (closes: #624300)

 -- Zed Pobre <zed@debian.org>  Wed, 27 Apr 2011 11:10:29 -0400

libmodplug (1:0.8.8.2-1) unstable; urgency=high

  * New upstream version
    * Fixes buffer overflow in ReadS3M function
      (SEC Consult SA-20110407-0)

 -- Zed Pobre <zed@debian.org>  Thu, 14 Apr 2011 14:05:13 -0400

libmodplug (1:0.8.8.1-2) unstable; urgency=low

  * libmodplug-dev no longer depends on libstdc++-dev (which should have
    been unnecessary since the move of -lstdc++ to Libs.private in
    0.8.4-2).

    Closes: #596463
  * Standards-Version: 3.9.1 (no changes needed)

 -- Zed Pobre <zed@debian.org>  Sat, 11 Sep 2010 15:02:34 -0400

libmodplug (1:0.8.8.1-1) unstable; urgency=high

  * New upstream version
    * 0.8.8 introduced an ABI change without updating the major version.
      This was causing potential problems in clients linked against
      libmodplug0c2, including silence.

      This version changes the binary package from libmodplug0c2 to
      libmodplug1, so all related applications will have to be
      recompiled to use a version greater than is in Lenny (0.8.4).

      Closes: #588465
  * debian/copyright updated with additional contributors and the license
    description properly set to public domain

 -- Zed Pobre <zed@debian.org>  Sun, 18 Jul 2010 21:25:08 -0400

libmodplug (1:0.8.8-2) unstable; urgency=low

  * Capitalize "Windows" in long descriptions (closes: #586114)

 -- Zed Pobre <zed@debian.org>  Wed, 16 Jun 2010 11:18:56 -0400

libmodplug (1:0.8.8-1) unstable; urgency=high

  * New upstream version
    * Fix 32 to 32 bit "downsampling" on 64bit platforms. (Closes: #585699)
      * The above bug is causing crashes in the Gnome file browser during
        previews, thus urgency is set to high.
    * Fix usage of bigendian in include files
    * Fix PSM files on bigendian computers
    * Allow configuration of Stereo Seperation and MaxMixChannels


=== debian/control ===
Source: libmodplug
Maintainer: Stephen Kitt <skitt@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libmodplug.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libmodplug.git -b debian
Homepage: http://modplug-xmms.sourceforge.net/

Package: libmodplug1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: shared libraries for mod music based on ModPlug
 Module files (MOD music, tracker music) are a family of music file
 formats originating from the MOD file format on Amiga systems used in
 late 1980s.
 .
 This is a library based on the mod music rendering code from ModPlug,
 a popular Windows mod player written by Olivier Lapicque, found at
 http://www.modplug.com.

Package: libmodplug-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libmodplug1 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for mod music based on ModPlug
 Module files (MOD music, tracker music) are a family of music file
 formats originating from the MOD file format on Amiga systems used in
 late 1980s.
 .
 This package contains the header files and .so symlinks required to
 compile code against libmodplug, a library based on the mod rendering
 code from ModPlug, a popular Windows mod player written by Olivier
 Lapicque, found at http://www.modplug.com.

=== debian/watch ===
version=3
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=sf/modplug-xmms/libmodplug \
.*=libmodplug(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## libmodplug 0.8.9.0

=== debian/changelog ===
libmodplug (1:0.8.9.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Name (from ./configure), Repository.

  [ Stephen Kitt ]
  * Switch to debhelper compatibility level 13.
  * Set “Rules-Requires-Root: no”.
  * Add “Build-Depends-Package” entry to libmodplug1.symbols.
  * Enable all hardening options.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 11 Jan 2021 09:10:11 +0100

libmodplug (1:0.8.9.0-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 10 May 2018 22:32:47 +0200

libmodplug (1:0.8.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/watch.
  * Standards-Version 4.0.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 21 Aug 2017 15:16:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libmodplug.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libmodplug.git -b debian
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/mod-player-team/libmodplug
+Vcs-Git: https://salsa.debian.org/mod-player-team/libmodplug.git
 Homepage: http://modplug-xmms.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: libmodplug1
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
http://sf.net/modplug-xmms/ libmodplug(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz) debian uupdate
